View Issue Details

IDProjectCategoryView StatusLast Update
0021577mantisbtmentionspublic2016-08-28 01:12
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021577: Wrong language in subject of @ mention email notification
Description

The first part of the email subject is build using the user language of the one who @ mentioned instead of the recipient(s) language.

This happens because the following line of code in email_api.php is called one single time using the current language settings

$t_subject = sprintf( lang_get( 'mentioned_in' ), $t_subject );

Other parts of the email message are build in the loop for the recipients after
lang_push( user_pref_get_language( $t_mention_user_id, $t_project_id ) );

Subject has to be splitted in two parts for a fix with good performance.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master-1.3.x b9289f96

2016-08-14 15:25:02

atrol

Details Diff
Use recipient language in subject of @ mention email notification

Fixes 0021577
mod - core/email_api.php Diff File

Issue History

Date Modified Username Field Change
2016-08-01 08:56 atrol New Issue
2016-08-01 08:56 atrol Status new => assigned
2016-08-01 08:56 atrol Assigned To => atrol
2016-08-14 15:30 atrol Target Version => 1.3.1
2016-08-14 15:30 atrol Note Added: 0053796
2016-08-15 02:44 atrol Changeset attached => MantisBT master-1.3.x b9289f96
2016-08-15 02:44 atrol Status assigned => resolved
2016-08-15 02:44 atrol Resolution open => fixed
2016-08-15 02:44 atrol Fixed in Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed